Name: protobuf
Version: 2.0.2
Release: alt1
Summary: Protocol Buffers - Google's data interchange format
License: Apache License 2.0
Group: System/Libraries
Url: http://code.google.com/p/protobuf/
Packager: Mikhail A Pokidko <pma@altlinux.ru>

Source: %name-%version.tar.bz2
Patch: %name.python-setup.alt.patch

Obsoletes: libprotobuf <= 2.0.0-alt1

# Automatically added by buildreq on Wed Nov 19 2008
BuildRequires: gcc-c++ glibc-devel-static python-devel

%description
Protocol Buffers are a way of encoding structured data in
an efficient yet extensible format. Google uses Protocol Buffers for
almost all of its internal RPC protocols and file formats.

%package compiler
Summary: Protocol Buffers Compiler
Group: Development/Other
Requires: lib%name

%description compiler
Compiler for protocol buffer definition files 

%package -n lib%name
Summary: Protocol Buffers - Google's data interchange format
Group: System/Libraries

%description -n lib%name
Protocol Buffers are a way of encoding structured data in
an efficient yet extensible format. Google uses Protocol Buffers for
almost all of its internal RPC protocols and file formats.

%package -n lib%{name}-devel
Summary: Development files for %name
Group: Development/C
PreReq: lib%name = %version-%release

%description -n lib%{name}-devel
This package contains development files required for packaging
%name.

%package -n python-module-%name
Summary: Python module files for %name
Group: Development/Python

%description -n python-module-%name
Python bindings for protocol buffers

#%%%package java
#%%Summary: Java binding files for %name
#%%Group: Development/Java
#%%
#%%%description java
#%%Java bindings for protocol buffers

%prep
%setup -q 
%patch -p1

%build
%configure --disable-static
%make_build
pushd python
%__python setup.py build
popd

%install
%makeinstall_std
mkdir -p %buildroot%python_sitelibdir/google/

pushd python
%__python setup.py install --root=%buildroot --optimize=2 --record=INSTALLED_FILES
popd

#%%post -p %post_ldconfig

#%%postun -p %postun_ldconfig

%files compiler
%_bindir/protoc

%files -n lib%name
%doc CONTRIBUTORS.txt README.txt examples/
%_libdir/*.so.*

%files -n lib%{name}-devel
%dir %_includedir/google/
%_includedir/google/protobuf/
%_libdir/*.so

%files -n python-module-%name -f python/INSTALLED_FILES
#python_sitelibdir/google/

#%%%files java-protobuf
#%%

%changelog
* Mon Nov 17 2008 Mikhail Pokidko <pma@altlinux.org> 2.0.2-alt1
- Building protobuf with new subpackages structure and with python binding

* Wed Jul 23 2008 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt1
- initial build for ALT Linux Sisyphus (2.0.0 beta)
